Subject: [bug#49294] [PATCH] gnu: po4a: Add perl-yaml-tiny to PERL5LIB

From: Maxime Devos <[email-masked]>
Date: Sun, 03 Apr 2022 12:43:56 +0200

EuAndreh via Guix-patches via schreef op wo 30-06-2021 om 11:44 [-
0300]:
> ---
> The "use YAML::Tiny;" [0] statement is failing, because the library was
> included in the list of dependencies, but was not being propagated and
> not put in PERL5LIB, and resulted in an error:

Adding it to PERL5LIB and moving it from native-inputs to non-native
inputs looks reasonable to me.  However: does it need to be propagated,
or is adding it to PERL5LIB sufficient?

Also, how many dependents are there (try "guix refresh -l")?  Maybe it
needs to be on core-updates.  Additionally, ca 'perl-yaml-tiny' now be
removed from 'kicad-doc' and 'qgis'?

Greetings,
Maxime.